Emmabuntüs Forum
Collectif pour le réemploi des ordinateurs et distribution Linux basée sur Debian

  Accueil -  Tutoriels -  Téléchargements -  Vidéos -  Interviews -  Qui sommes-nous -  Nous contacter -  Soutenir


Problème avec l'indicateur de mise à jour

0 Membres et 1 Invité sur ce sujet

Copernic03

  • Newbie
  • *
    • Messages: 13
Bonjour, depuis 2 mois l'indicateur de mise à jour ne fonctionne plus, vu que c'était l'utilitaire Package Update Indicateur qui gère cette fonction. cela à bien fonctionné pendant plusieurs mois.

Cela à commencé par une fenêtre qui apparaissait à chaque démarrage indiquant un problème avec le cache des paquets je crois, j'ai décoché une case et cette fenêtre à disparue. Mais depuis plus d'indication de MAJ.

Les mises à jours se font correctement avec l' outil de mise à jour des paquets. Je suis sur la dernière version 4, 64  bits.

Merci pour satisfaire ma curiosité.


Patrick

  • Administrator
  • Hero Member
  • *****
    • Messages: 850
    • Emmabuntüs The distribution sleek, accessible, equitable
Bonjour Copernic03,

Si vous avez décoché le lancement de la fenêtre de correction du cache des paquets, et que le cache des paquets n'est pas correct, c'est normal que vous n'ayez plus d'information sur les mises à jour, car ce système d'information se base sur l'état du cache des paquets pour informer l'utilisateur.

Faites cela dans un terminal pour voir s'il n'y a pas un dépôt qui a des problèmes :

sudo apt update


Copernic03

  • Newbie
  • *
    • Messages: 13
Bonjour Patrick et merci de votre réponse , bien compris jusque la. Voici ce que cela donne:

michel@debian:~$ sudo apt update
[sudo] Mot de passe de michel :     
Atteint :1 http://security.debian.org/debian-security bullseye-security InRelease
Atteint :2 http://deb.debian.org/debian bullseye InRelease                                         
Ign :3 http://liveusb.info/multisystem/depot all InRelease                                         
Atteint :4 http://deb.debian.org/debian bullseye-updates InRelease                                 
Atteint :5 http://liveusb.info/multisystem/depot all Release                                       
Atteint :6 http://packages.microsoft.com/repos/code stable InRelease                               
Réception de :7 https://dl.cloudsmith.io/public/balena/etcher/deb/debian bullseye InRelease [5 067 B]
Err :7 https://dl.cloudsmith.io/public/balena/etcher/deb/debian bullseye InRelease
  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 70528471AFF9A051
Lecture des listes de paquets... Fait
W: Erreur de GPG : https://dl.cloudsmith.io/public/balena/etcher/deb/debian bullseye InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 70528471AFF9A051
E: Le dépôt https://dl.cloudsmith.io/public/balena/etcher/deb/debian bullseye InRelease n'est pas signé.
N: Les mises à jour depuis un tel dépôt ne peuvent s'effectuer de manière sécurisée, et sont donc désactivées par défaut.
N: Voir les pages de manuel d'apt-secure(8) pour la création des dépôts et les détails de configuration d'un utilisateur.
michel@debian:~$

Je pense qu'il  à problème ?, comment on y remédie , il faut réinstaller Balena ?

Merci



Patrick

  • Administrator
  • Hero Member
  • *****
    • Messages: 850
    • Emmabuntüs The distribution sleek, accessible, equitable
Bonsoir Copernic03,

Votre dépôt n'a pus l'air actif voir ce que cela donne en cliquant sur ce lien https://dl.cloudsmith.io/public/balena/etcher/deb/debian comparé au dépôt de Debian http://security.debian.org/debian-security/

Donc il faut désactiver ce dépôt en mettant un dièse aka # devant ce dépôt qui devrait être dans ce fichier :  /etc/apt/sources.list

Faites cela pour l'éditer :

sudo geany /etc/apt/sources.list
sinon utilisez synaptic pour décocher ce dépôt , voir configuration -> dépôt :








Patrick

  • Administrator
  • Hero Member
  • *****
    • Messages: 850
    • Emmabuntüs The distribution sleek, accessible, equitable
Pour Balena de Etcher prendre toujours la version sur le site officiel : https://www.balena.io/etcher/ avec un Appimage : https://doc.ubuntu-fr.org/appimage

Sinon pour les paquets deb, ils sont sur le github du projet : https://github.com/balena-io/etcher/releases/tag/v1.7.9


Copernic03

  • Newbie
  • *
    • Messages: 13
Je ne trouve pas cette ligne, meme en utilisant Synaptic.

##DEBIAN bullseye##

deb http://deb.debian.org/debian bullseye main contrib
#deb-src http://deb.debian.org/debian bullseye main contrib

deb http://deb.debian.org/debian bullseye-updates main contrib
#deb-src http://deb.debian.org/debian bullseye-updates main contrib

deb http://security.debian.org/debian-security/ bullseye-security main contrib
#deb-src http://security.debian.org/debian-security/ bullseye-security main contrib

# This system was installed using small removable media
# (e.g. netinst, live or single CD). The matching "deb cdrom"
# entries were disabled at the end of the installation process.
# For information about how to configure apt package sources,
# see the sources.list(5) manual.


Copernic03

  • Newbie
  • *
    • Messages: 13
Je précise que je suis débutant sous Linux et que je ne comprends pas tout le language utilisé genre " Appimage "  ... :-[


Copernic03

  • Newbie
  • *
    • Messages: 13
Ca y est, je suis moins bête, je sais ce que c'est qu'un Appimage   8) 8)
« Modifié: août 24, 2022, 01:03:57 am par Copernic03 »


Patrick

  • Administrator
  • Hero Member
  • *****
    • Messages: 850
    • Emmabuntüs The distribution sleek, accessible, equitable
Je ne trouve pas cette ligne, meme en utilisant Synaptic.


Cette ligne n'est pas dans le fichier sources.list, par contre on devrait la trouver dans synaptic, en faisant configuration -> dépôt, puis en allant dans les onglets de cette interface. dans le 2ème onglet other software, voir doc https://doc.ubuntu-fr.org/synaptic

Pouvez vous me faire une capture de cet onglet sur votre PC ?


Pour Balena, avez vous installer ce soft avec l'appimage ou le paqute deb ?

Pour installer un paquet deb on fait un clic droit sur le deb dans l'explorateur de fichier et on choisi "ouvrir avec installateur de paquets gdebi",  voir doc gdebi : https://doc.ubuntu-fr.org/gdebi



Copernic03

  • Newbie
  • *
    • Messages: 13
Bonjour,
je n'arrive pas à faire une copie d'écran de cette fenêtre, la ligne concernée n'y figure pas de toute façon.  J'ai fait l'installation de balena avec les paquets . 

Je viens de télécharger la version Appimage, j'ai bien compris que c'est une version portable comme pour Windows.  Comment désinstaller tout ça proprement et je pourrais utiliser la version appimage ?  ( et comment retrouver cette ligne qui pose problème )

Merci


Copernic03

  • Newbie
  • *
    • Messages: 13
Si je comprends bien, il suffit qu'un seul logiciel pose problème de mise à jour pour que cela se répercute sur la lecture des caches des autres ?


Patrick

  • Administrator
  • Hero Member
  • *****
    • Messages: 850
    • Emmabuntüs The distribution sleek, accessible, equitable
Bonjour Copernic03,

La gestion du cache est centralisé, donc il n'y a qu'un seul cache de paquets pour le système.

On peut utiliser une appimage en parallèle du même logiciel installé, car une appimage isole le logiciel du reste du système. Cela est très pratique pour tester différentes versions du logiciel quand celles-ci ne sont pas prises en charge par la version courante de Linux. Par contre sur les appimages il n'y a pas de mises à jour comme un logiciel ou paquet installé.

Pour désinstaller Balena, ne sachant ou vous avez trouvé cette version et comment vous l'avez installer, je dirait qu'il faut regarder sous Synaptic si ce logiciel est présent en cherchant balena, etcher voir copie :



Copernic03

  • Newbie
  • *
    • Messages: 13
Bonsoir,
après quelques recherches, j' ai vu que j'ai dit une bêtise, Balena est bien un fichier Appimage sur mon PC, j' ai retrouvé le fichier initial, ce qui explique que je ne le trouvais pas dans Synaptic.  En faisant une recherche avec la commande " Locate " j'ai trouvé quelque trace dans différents fichiers mais je n'ai pas trouvé encore ou est cette ligne qui semble poser problème.


Patrick

  • Administrator
  • Hero Member
  • *****
    • Messages: 850
    • Emmabuntüs The distribution sleek, accessible, equitable
Bonsoir,

je pense que vous avez installé le fichier en le prenant ici : https://cloudsmith.io/~balena/repos/etcher/packages/

cela n'est plus fonctionnel d'après ces liens :

https://forums.balena.io/t/repository-unsigned-again/311484
https://github.com/balena-io/etcher/issues/3501

D'après ce post https://cloudsmith.io/~balena/repos/etcher/setup/#formats-deb partie "Removing Setup ". Le fichier de config du dépôt est ici : /etc/apt/sources.list.d/balena-etcher.list

Donc je vous conseille d'ouvrir ce fichier en faisant cela :

sudo geany /etc/apt/sources.list.d/balena-etcher.list
et de mettre des # devant toutes les lignes, en principe il n'y en a qu'une d'après ce que j'ai vu dans le code ici : https://dl.cloudsmith.io/public/balena/etcher/setup.deb.sh

Ensuite vous sauvegardez le fichier /etc/apt/sources.list.d/balena-etcher.list

Et ensuite vous faite un :

sudo apt update
pour voir si ce problème est résolu.

Si cela ne fonctionne pas vous pouvez essayer cela, comme indiqué dans le post :


sudo rm /etc/apt/sources.list.d/balena-etcher.list
sudo apt-get clean
sudo rm -rf /var/lib/apt/lists/*
sudo apt-get update





Copernic03

  • Newbie
  • *
    • Messages: 13
Bonjour Patrick,

je ne sais pas ou vous allez chercher tout cela, en tout cas tout refonctionne, le carré rouge avec son point d' exclamation blanc est bien réapparu quand il y à eu des mises à jour, j'ai laissé faire quelques temps avant de répondre.

Du coup j'ai viré la version de Balena que j'avais car je ne veux pas que cela recommence de nouveau.  Je ne sais donc pas ou je peux la télécharger et qu'elle soit fiable.

Je vous remercie pour votre patience et bonne continuation. Salutations à toute l' équipe.

Michel dans le 03